Subject: Re: BUG: unable to handle kernel NULL pointer dereference at 000000000000002c

From: Stefan Priebe - Profihost AG <[email-masked]>
Date: Tue, 31 Jan 2012 09:08:47 +0100

Hi David, Hi Greg,

> In all, I think this request is invalid.
>
> You're asking me to submit patches to -stable which don't apply
> even remotely, and whose dependencies haven't even been applied
> to the tree.

i'm sorry but it seems you miss something. The list of matches wasn't
mine it was the list you kernel guys generated in Dec 2011 while you
were discussing my NULL pointer dereference.

I was just a copy and paste by me.

Eric Dumazet ([email-masked]) wrote at 2011-12-01 21:20:
"
Probably fixed by commit f2c31e32b378a665
(net: fix NULL dereferences in check_peer_redir())

But this patch needs some followup patches (some of them in David net
tree, not yet in Linus tree)
"

David Miller wrote:
"
> So can someone please send them to greg => stable@ so we can get them
> into 3.0.X longterm stable.
I'll do it, these things just take care and time.
"

AND some days later:

"
> > any news on that? Systems still crashing every now and then. 3.0.13
> > was released today but i haven't seen any of them.
I only had time to submit these fixes for 3.1.x-stable, you'll just
have to be incredibly patient.
"

As far as i understand the whole problem the (net: fix NULL dereferences
in check_peer_redir()) bug is still in the 3.0 tree but the fix made for
this bug is using a lot of other patches not in 3.0.

So what can we do now?

Stefan